Bug 822239 - ovirt-engine-restapi : Clone VM from template fails due to unhandled exception
ovirt-engine-restapi : Clone VM from template fails due to unhandled exception
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Michael Pasternak
Jakub Libosvar
virt
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 15:19 EDT by Oded Ramraz
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: si6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine logs (86.95 KB, application/zip)
2012-05-16 16:12 EDT, Oded Ramraz
no flags Details

  None (edit)
Description Oded Ramraz 2012-05-16 15:19:08 EDT
Description of problem:

Clone VM from template fails due to unhandled exception , see Steps to reproduce for a detailed reproducer 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.http://loki01.eng.lab.tlv.redhat.com/view/Automation_QE_RHEVM_3.1/job/rhevm_3.1_automation_restapi/206/testReport/automation/Vms/Clone_VM_From_Template/
  
Actual results:


Expected results:


Additional info:

2012-05-16 20:43:55,760 - MainThread - vms - DEBUG - CREATE request content is --  url:http://localhost:8080/api/vms body:<vm><name>cloned_vm</name><cluster id='691d823c-9f74-11e1-bc2f-001a4a231280'/><template id='f44edd62-f707-4435-aa04-c6af74bdfae7'/><disks><disk id='fcbd3493-8f31-4133-9cd9-899d538ad811'/><disk id='0a175324-37f0-4cab-9433-dc5d65c3f184'/><disk id='c0e80093-3f30-4635-851e-0bbeea85e2b2'/><disk id='9bdd6b4c-d247-4e71-9a39-056be0b656fb'/><disk id='40cd307b-9509-457c-9d57-055073473729'/><disk id='856d1e3a-ea2b-4ca8-9d7d-6e282603858f'/><disk id='6110092b-b59a-4891-b9b2-47ffd26f13e9'/><clone>true</clone></disks></vm> 
2012-05-16 20:43:55,848 - MainThread - vms - ERROR - Failed parsing response for XSD validationserror: Opening and ending tag mismatch: HR line 33 and body, line 33, column 184. body: <html><head><title>JBoss Web/7.0.13..Final-redhat-1 - Error report</title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 500 - </h1><HR size="1" noshade="noshade"><p><b>type</b> Exception report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>The server encountered an internal error () that prevented it from fulfilling this request.</u></p><p><b>exception</b> <pre>org.jboss.resteasy.spi.UnhandledException: java.lang.NullPointerException: candidate can not be null please use static method createGuidFromString
	org.jboss.resteasy.core.SynchronousDispatcher.handleApplicationException(SynchronousDispatcher.java:340)
	org.jboss.resteasy.core.SynchronousDispatcher.handleException(SynchronousDispatcher.java:214)
	org.jboss.resteasy.core.SynchronousDispatcher.handleInvokerException(SynchronousDispatcher.java:190)
	org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:540)
	org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:502)
	org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:119)
	org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208)
	org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55)
	org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
</pre></p><p><b>root cause</b> <pre>java.lang.NullPointerException: candidate can not be null please use static method createGuidFromString
	org.ovirt.engine.core.compat.NGuid.&lt;init&gt;(NGuid.java:44)
	org.ovirt.engine.core.compat.Guid.&lt;init&gt;(Guid.java:24)
	org.ovirt.engine.api.restapi.resource.BaseBackendResource.asGuid(BaseBackendResource.java:233)
Comment 1 Oded Ramraz 2012-05-16 16:12:05 EDT
Created attachment 585054 [details]
engine logs
Comment 2 Oded Ramraz 2012-05-17 03:53:59 EDT
<pre>org.jboss.resteasy.spi.UnhandledException: java.lang.NullPointerException:
candidate can not be null please use static method createGuidFromString
Comment 3 Michael Pasternak 2012-05-21 03:47:55 EDT
802b9535251b69fa8f46d94ccbd8c851dd57b907
Comment 5 Oded Ramraz 2012-06-17 15:33:45 EDT
This test case still fails  ( si6 ) :

https://atom.qa.lab.tlv.redhat.com/logerror/6822/362/caseName/
Comment 6 Michael Pasternak 2012-06-18 03:35:35 EDT
i cannot authenticate to your test env., please describe what test do and
where it fails.
Comment 7 Oded Ramraz 2012-06-18 04:21:41 EDT
2012-06-17 20:32:59,800 - MainThread - vms - DEBUG - CREATE request content is --  url:http://10.35.113.33:443/api/vms body:<vm> 
    <name>restvm_templates_cloned</name> 
    <cluster href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb" id="30d8b216-b89c-11e1-940f-7317af2db9bb"> 
        <name>RestCluster1</name> 
        <link href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb/networks" rel="networks"/> 
        <link href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb/permissions" rel="permissions"/> 
        <link href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb/glustervolumes" rel="glustervolumes"/> 
        <cpu id="Intel Xeon w/o XD/NX"/> 
        <data_center href="/api/datacenters/9c65299b-d64d-4dc0-8c08-50d5f118ff05" id="9c65299b-d64d-4dc0-8c08-50d5f118ff05"/> 
        <memory_policy> 
            <overcommit percent="200"/> 
            <transparent_hugepages> 
                <enabled>true</enabled> 
            </transparent_hugepages> 
        </memory_policy> 
        <scheduling_policy/> 
        <version major="3" minor="1"/> 
        <error_handling> 
            <on_error>migrate</on_error> 
        </error_handling> 
    </cluster> 
    <template id="00000000-0000-0000-0000-000000000000"/> 
    <disks> 
        <disk id="911ca76d-b05f-40a9-a28f-911d3170490b"/> 
        <clone>true</clone> 
    </disks> 
</vm> 
  
2012-06-17 20:32:59,929 - MainThread - vms - DEBUG - GET request content is --  url:http://10.35.113.33:443/api/vms  
2012-06-17 20:33:00,072 - MainThread - vms - DEBUG - Response code is valid: [200, 201]  
2012-06-17 20:33:00,072 - MainThread - vms - DEBUG - Response body for GET request is: <?xml version="1.0" encoding="UTF-8" standalone="yes"?> 
<vms> 
    <vm href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43" id="df8d30b0-fb0a-4081-abf9-233d8dc5ee43"> 
        <name>restvm_migration</name> 
        <description>A nomadic VM</description> 
        <actions> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/shutdown" rel="shutdown"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/start" rel="start"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/stop" rel="stop"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/suspend" rel="suspend"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/export" rel="export"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/detach" rel="detach"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/move" rel="move"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/ticket" rel="ticket"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/migrate" rel="migrate"/> 
            <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/cancelmigration" rel="cancelmigration"/> 
        </actions> 
        <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/disks" rel="disks"/> 
        <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/nics" rel="nics"/> 
        <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/cdroms" rel="cdroms"/> 
        <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/snapshots" rel="snapshots"/> 
        <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/tags" rel="tags"/> 
        <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/permissions" rel="permissions"/> 
        <link href="/api/vms/df8d30b0-fb0a-4081-abf9-233d8dc5ee43/statistics" rel="statistics"/> 
        <type>desktop</type> 
        <status> 
            <state>down</state> 
        </status> 
        <memory>1073741824</memory> 
        <cpu> 
            <topology sockets="1" cores="1"/> 
        </cpu> 
        <os type="unassigned"> 
            <boot dev="hd"/> 
        </os> 
        <high_availability> 
            <enabled>false</enabled> 
            <priority>0</priority> 
        </high_availability> 
        <display> 
            <type>spice</type> 
            <address>10.35.103.11</address> 
            <port>5900</port> 
            <secure_port>5901</secure_port> 
            <monitors>1</monitors> 
            <allow_reconnect>false</allow_reconnect> 
        </display> 
        <cluster href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb" id="30d8b216-b89c-11e1-940f-7317af2db9bb"/> 
        <template href="/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/> 
        <creation_time>2012-06-17T20:29:29.768+03:00</creation_time> 
        <origin>ovirt</origin> 
        <stateless>false</stateless> 
        <placement_policy> 
            <host id="31e4f02a-b89c-11e1-9e96-772572fb7992"/> 
            <affinity>migratable</affinity> 
        </placement_policy> 
        <memory_policy> 
            <guaranteed>1073741824</guaranteed> 
        </memory_policy> 
        <quota id="83059838-993e-43c5-b7b8-5cd2c946dc4b"/> 
        <usb> 
            <enabled>false</enabled> 
        </usb> 
    </vm> 
    <vm href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5" id="dc51d954-5bec-4ace-a895-f517f9c5d7f5"> 
        <name>restvm_run_once</name> 
        <actions> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/shutdown" rel="shutdown"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/start" rel="start"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/stop" rel="stop"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/suspend" rel="suspend"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/export" rel="export"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/detach" rel="detach"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/move" rel="move"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/ticket" rel="ticket"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/migrate" rel="migrate"/> 
            <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/cancelmigration" rel="cancelmigration"/> 
        </actions> 
        <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/disks" rel="disks"/> 
        <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/nics" rel="nics"/> 
        <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/cdroms" rel="cdroms"/> 
        <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/snapshots" rel="snapshots"/> 
        <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/tags" rel="tags"/> 
        <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/permissions" rel="permissions"/> 
        <link href="/api/vms/dc51d954-5bec-4ace-a895-f517f9c5d7f5/statistics" rel="statistics"/> 
        <type>desktop</type> 
        <status> 
            <state>down</state> 
        </status> 
        <memory>1073741824</memory> 
        <cpu> 
            <topology sockets="1" cores="1"/> 
        </cpu> 
        <os type="unassigned"> 
            <boot dev="hd"/> 
        </os> 
        <high_availability> 
            <enabled>false</enabled> 
            <priority>0</priority> 
        </high_availability> 
        <display> 
            <type>spice</type> 
            <address>10.35.103.11</address> 
            <port>5900</port> 
            <secure_port>5901</secure_port> 
            <monitors>1</monitors> 
            <allow_reconnect>false</allow_reconnect> 
        </display> 
        <cluster href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb" id="30d8b216-b89c-11e1-940f-7317af2db9bb"/> 
        <template href="/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/> 
        <creation_time>2012-06-17T20:28:20.036+03:00</creation_time> 
        <origin>ovirt</origin> 
        <stateless>false</stateless> 
        <placement_policy> 
            <affinity>migratable</affinity> 
        </placement_policy> 
        <memory_policy> 
            <guaranteed>1073741824</guaranteed> 
        </memory_policy> 
        <quota id="83059838-993e-43c5-b7b8-5cd2c946dc4b"/> 
        <usb> 
            <enabled>false</enabled> 
        </usb> 
    </vm> 
    <vm href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e" id="b1fe1152-c42d-4f8e-a353-d265c9839f2e"> 
        <name>restvm_templates</name> 
        <actions> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/shutdown" rel="shutdown"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/start" rel="start"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/stop" rel="stop"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/suspend" rel="suspend"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/export" rel="export"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/detach" rel="detach"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/move" rel="move"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/ticket" rel="ticket"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/migrate" rel="migrate"/> 
            <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/cancelmigration" rel="cancelmigration"/> 
        </actions> 
        <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/disks" rel="disks"/> 
        <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/nics" rel="nics"/> 
        <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/cdroms" rel="cdroms"/> 
        <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/snapshots" rel="snapshots"/> 
        <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/tags" rel="tags"/> 
        <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/permissions" rel="permissions"/> 
        <link href="/api/vms/b1fe1152-c42d-4f8e-a353-d265c9839f2e/statistics" rel="statistics"/> 
        <type>desktop</type> 
        <status> 
            <state>down</state> 
        </status> 
        <memory>1073741824</memory> 
        <cpu> 
            <topology sockets="1" cores="1"/> 
        </cpu> 
        <os type="unassigned"> 
            <boot dev="hd"/> 
        </os> 
        <high_availability> 
            <enabled>false</enabled> 
            <priority>0</priority> 
        </high_availability> 
        <display> 
            <type>spice</type> 
            <monitors>1</monitors> 
            <allow_reconnect>false</allow_reconnect> 
        </display> 
        <cluster href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb" id="30d8b216-b89c-11e1-940f-7317af2db9bb"/> 
        <template href="/api/templates/00000000-0000-0000-0000-000000000000" id="00000000-0000-0000-0000-000000000000"/> 
        <creation_time>2012-06-17T20:32:00.499+03:00</creation_time> 
        <origin>ovirt</origin> 
        <stateless>false</stateless> 
        <placement_policy> 
            <affinity>migratable</affinity> 
        </placement_policy> 
        <memory_policy> 
            <guaranteed>1073741824</guaranteed> 
        </memory_policy> 
        <quota id="83059838-993e-43c5-b7b8-5cd2c946dc4b"/> 
        <usb> 
            <enabled>false</enabled> 
        </usb> 
    </vm> 
    <vm href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b" id="11a99d81-5163-4a23-a2ba-c11bf5e5a57b"> 
        <name>restvm_templates2</name> 
        <actions> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/shutdown" rel="shutdown"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/start" rel="start"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/stop" rel="stop"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/suspend" rel="suspend"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/export" rel="export"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/detach" rel="detach"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/move" rel="move"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/ticket" rel="ticket"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/migrate" rel="migrate"/> 
            <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/cancelmigration" rel="cancelmigration"/> 
        </actions> 
        <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/disks" rel="disks"/> 
        <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/nics" rel="nics"/> 
        <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/cdroms" rel="cdroms"/> 
        <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/snapshots" rel="snapshots"/> 
        <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/tags" rel="tags"/> 
        <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/permissions" rel="permissions"/> 
        <link href="/api/vms/11a99d81-5163-4a23-a2ba-c11bf5e5a57b/statistics" rel="statistics"/> 
        <type>desktop</type> 
        <status> 
            <state>down</state> 
        </status> 
        <memory>1073741824</memory> 
        <cpu> 
            <topology sockets="1" cores="1"/> 
        </cpu> 
        <os type="unassigned"> 
            <boot dev="hd"/> 
        </os> 
        <high_availability> 
            <enabled>false</enabled> 
            <priority>0</priority> 
        </high_availability> 
        <display> 
            <type>spice</type> 
            <monitors>1</monitors> 
            <allow_reconnect>false</allow_reconnect> 
        </display> 
        <cluster href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb" id="30d8b216-b89c-11e1-940f-7317af2db9bb"/> 
        <template href="/api/templates/7f5bc8a0-e6a2-4374-b3a1-36bb7515c4cf" id="7f5bc8a0-e6a2-4374-b3a1-36bb7515c4cf"/> 
        <creation_time>2012-06-17T20:32:39.775+03:00</creation_time> 
        <origin>ovirt</origin> 
        <stateless>false</stateless> 
        <placement_policy> 
            <affinity>migratable</affinity> 
        </placement_policy> 
        <memory_policy> 
            <guaranteed>1073741824</guaranteed> 
        </memory_policy> 
        <quota id="83059838-993e-43c5-b7b8-5cd2c946dc4b"/> 
        <usb> 
            <enabled>false</enabled> 
        </usb> 
    </vm> 
    <vm href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4" id="5bde8715-31ae-4b6f-85ae-394a96b27ce4"> 
        <name>restvm_templates_sd</name> 
        <actions> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/shutdown" rel="shutdown"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/start" rel="start"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/stop" rel="stop"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/suspend" rel="suspend"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/export" rel="export"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/detach" rel="detach"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/move" rel="move"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/ticket" rel="ticket"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/migrate" rel="migrate"/> 
            <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/cancelmigration" rel="cancelmigration"/> 
        </actions> 
        <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/disks" rel="disks"/> 
        <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/nics" rel="nics"/> 
        <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/cdroms" rel="cdroms"/> 
        <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/snapshots" rel="snapshots"/> 
        <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/tags" rel="tags"/> 
        <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/permissions" rel="permissions"/> 
        <link href="/api/vms/5bde8715-31ae-4b6f-85ae-394a96b27ce4/statistics" rel="statistics"/> 
        <type>desktop</type> 
        <status> 
            <state>down</state> 
        </status> 
        <memory>1073741824</memory> 
        <cpu> 
            <topology sockets="1" cores="1"/> 
        </cpu> 
        <os type="unassigned"> 
            <boot dev="hd"/> 
        </os> 
        <high_availability> 
            <enabled>false</enabled> 
            <priority>0</priority> 
        </high_availability> 
        <display> 
            <type>spice</type> 
            <monitors>1</monitors> 
            <allow_reconnect>false</allow_reconnect> 
        </display> 
        <cluster href="/api/clusters/30d8b216-b89c-11e1-940f-7317af2db9bb" id="30d8b216-b89c-11e1-940f-7317af2db9bb"/> 
        <template href="/api/templates/7f5bc8a0-e6a2-4374-b3a1-36bb7515c4cf" id="7f5bc8a0-e6a2-4374-b3a1-36bb7515c4cf"/> 
        <creation_time>2012-06-17T20:32:42.415+03:00</creation_time> 
        <origin>ovirt</origin> 
        <stateless>false</stateless> 
        <placement_policy> 
            <affinity>migratable</affinity> 
        </placement_policy> 
        <memory_policy> 
            <guaranteed>1073741824</guaranteed> 
        </memory_policy> 
        <quota id="83059838-993e-43c5-b7b8-5cd2c946dc4b"/> 
        <usb> 
            <enabled>false</enabled> 
        </usb> 
    </vm> 
</vms> 
  
2012-06-17 20:33:00,079 - MainThread - vms - ERROR - Failed parsing response for XSD validationserror: Opening and ending tag mismatch: HR line 1 and body, line 1, column 903. body: <html><head><title>JBoss Web/7.0.13..Final-redhat-1 - Error report</title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 404 - </h1><HR size="1" noshade="noshade"><p><b>type</b> Status report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>The requested resource () is not available.</u></p><HR size="1" noshade="noshade"><h3>JBoss Web/7.0.13..Final-redhat-1</h3></body></html> 
2012-06-17 20:33:00,079 - MainThread - vms - DEBUG - Response body for CREATE request is: <html><head><title>JBoss Web/7.0.13..Final-redhat-1 - Error report</title><style><!--H1 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-serif;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;background-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>HTTP Status 404 - </h1><HR size="1" noshade="noshade"><p><b>type</b> Status report</p><p><b>message</b> <u></u></p><p><b>description</b> <u>The requested resource () is not available.</u></p><HR size="1" noshade="noshade"><h3>JBoss Web/7.0.13..Final-redhat-1</h3></body></html>  
2012-06-17 20:33:00,080 - MainThread - vms - ERROR - Response code is not valid, expected is:  [200, 201, 202], actual is: 404
Comment 9 Michael Pasternak 2012-06-20 05:01:55 EDT
unfortunately i cannot see the source of the failure in attached test 
logs, could you please verify it manually?

thanks.
Comment 10 Jakub Libosvar 2012-07-11 03:47:15 EDT
Verified using
rhevm-backend-3.1.0-5.el6ev.noarch
rhevm-restapi-3.1.0-5.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.